# Tomcat
server:
  port: 9125
# Spring
spring:
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  main:
    allow-circular-references: true
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
  application:
    # 应用名称
    name: yangpeng-shop
  profiles:
    # 环境配置
    active: dev
  cloud:
    nacos:
      discovery:
        # 服务注册地址
        server-addr: 123.60.88.248:8848
      config:
        # 配置中心地址
        server-addr: 123.60.88.248:8848
        # 配置文件格式
        file-extension: yml
        # 共享配置
        shared-configs:
          - yangpeng-auth-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
          - application-mysql-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
          - yangpeng-shop-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
fdfs:
  so-timeout: 1500 # socket 连接时长
  connect-timeout: 600 # 连接 tracker 服务器超时时长
  # 这两个是你服务器的 IP 地址，注意 23000 端口也要打开，阿里云服务器记得配置安全组。tracker 要和 stroage 服务进行交流
  tracker-list: 123.60.88.248:22122
  web-server-url: 123.60.88.248:8888
  pool:
    jmx-enabled: false
  # 生成缩略图
  thumb-image:
    height: 500
    width: 500
mybatis:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl

